Package org.eclipse.jdt.debug.ui.actions

# Class JavaBreakpointPropertiesRulerActionDelegate

java.lang.Object
org.eclipse.ui.actions.ActionDelegate
org.eclipse.ui.texteditor.AbstractRulerActionDelegate
org.eclipse.jdt.debug.ui.actions.JavaBreakpointPropertiesRulerActionDelegate

All Implemented Interfaces:
  `EventListener`, `org.eclipse.jface.action.IMenuListener`, `org.eclipse.swt.events.MouseListener`, `org.eclipse.ui.IActionDelegate`, `org.eclipse.ui.IActionDelegate2`, `org.eclipse.ui.IEditorActionDelegate`

public class JavaBreakpointPropertiesRulerActionDelegate extends org.eclipse.ui.texteditor.AbstractRulerActionDelegate
Action to open a properties dialog on a Java breakpoint from a ruler context menu.

This action can also be contributed to a vertical ruler context menu via the `popupMenus` extension point, by referencing the ruler's context menu identifier in the `targetID` attribute.

     <extension point="org.eclipse.ui.popupMenus">
       <viewerContribution
         targetID="example.rulerContextMenuId"
         id="example.RulerPopupActions">
           <action
             label="Properties"
             class="org.eclipse.jdt.debug.ui.actions.JavaBreakpointPropertiesRulerActionDelegate"
             menubarPath="additions"
             id="example.rulerContextMenu.javaBreakpointPropertiesAction">
           </action>
       </viewerContribution>

Clients may refer to this class as an action delegate in plug-in XML.

Since:
  3.2
Restriction:
  This class is not intended to be subclassed by clients.
Restriction:
  This class is not intended to be instantiated by clients.

## Constructor Summary

Constructors
Constructor
Description
`JavaBreakpointPropertiesRulerActionDelegate()`

## Method Summary

Modifier and Type
Method
Description
`protected org.eclipse.jface.action.IAction`
`createAction(org.eclipse.ui.texteditor.ITextEditor editor, org.eclipse.jface.text.source.IVerticalRulerInfo rulerInfo)`

### Methods inherited from class org.eclipse.ui.texteditor.AbstractRulerActionDelegate

`menuAboutToShow, mouseDoubleClick, mouseDown, mouseUp, run, runWithEvent, selectionChanged, setActiveEditor`

### Methods inherited from class org.eclipse.ui.actions.ActionDelegate

`dispose, init`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JavaBreakpointPropertiesRulerActionDelegate

public JavaBreakpointPropertiesRulerActionDelegate()

## Method Details

### createAction

protected org.eclipse.jface.action.IAction createAction(org.eclipse.ui.texteditor.ITextEditor editor, org.eclipse.jface.text.source.IVerticalRulerInfo rulerInfo)

Specified by:
  `createAction` in class `org.eclipse.ui.texteditor.AbstractRulerActionDelegate`
See Also:
  - `AbstractRulerActionDelegate.createAction(ITextEditor, IVerticalRulerInfo)`